# Created by pyp2rpm-3.3.8
%global pypi_name mir_eval
%global pypi_version 0.7

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Common metrics for common audio/music processing tasks

License:        MIT
URL:            https://github.com/craffel/mir_eval
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
mir_eval Python library for computing common heuristic accuracy scores for
various music/audio information retrieval/signal processing
tasks.Documentation, including installation and usage information: you're
looking for the mir_eval web service, which you can use to run mir_eval without
installing anything or writing any code, it can be found here:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(future)
Requires:       python3dist(matplotlib) >= 2.1
Requires:       python3dist(numpy) >= 1.7
Requires:       python3dist(scipy) >= 1
Requires:       python3dist(scipy) >= 1
Requires:       python3dist(six)
%description -n python3-%{pypi_name}
mir_eval Python library for computing common heuristic accuracy scores for
various music/audio information retrieval/signal processing
tasks.Documentation, including installation and usage information: you're
looking for the mir_eval web service, which you can use to run mir_eval without
installing anything or writing any code, it can be found here:


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

sed -e '1d' -i %{buildroot}%{python3_sitelib}/%{pypi_name}/__init__.py

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%changelog
* Wed Dec 21 2022 Gwyn Ciesla <gwync@protonmail.com> - 0.7-1
- Initial package.
